#include <iostream>
#include <vector>

using namespace std;

int main()
{
    vector < int > x;
    x = {4, 5, 2};
    for (int i = 0; i < x.size() - 1; ++i)
        cout << x[i] + x[i + 1] << " ";
    cout << "\n";

    return 0;
}
